
From: Roland Dreier <roland@topspin.com>

After the "ppc64 monster cleanup," I get

    powerpc-750-linux-gnu-strip: vmlinux: File format not recognized

from my ppc32 strip command when cross-compiling a ppc64 kernel, since
vmlinux is a 64-bit ELF file.  This patch fixes my build (and the
resulting kernel boots fine).

Signed-off-by: Roland Dreier <roland@topspin.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/boot/Makefile |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/ppc64/boot/Makefile~ppc64-fix-cross-compilation arch/ppc64/boot/Makefile
--- 25/arch/ppc64/boot/Makefile~ppc64-fix-cross-compilation	Thu Sep 30 15:32:10 2004
+++ 25-akpm/arch/ppc64/boot/Makefile	Thu Sep 30 15:32:10 2004
@@ -31,7 +31,7 @@ BOOTAFLAGS	:= -D__ASSEMBLY__ $(BOOTCFLAG
 BOOTLD		:= $(CROSS32_COMPILE)ld
 BOOTLFLAGS	:= -Ttext 0x00400000 -e _start -T $(srctree)/$(src)/zImage.lds
 BOOTOBJCOPY	:= $(CROSS32_COMPILE)objcopy
-BOOTSTRIP	:= $(CROSS32_COMPILE)strip
+BOOTSTRIP	:= $(CROSS_COMPILE)strip
 OBJCOPYFLAGS    := contents,alloc,load,readonly,data
 
 src-boot := crt0.S string.S prom.c main.c zlib.c imagesize.c div64.S
_
